Subject: RX01 documentation errors

From: "Douglas W. Jones" <[email-masked]>
Date: Wed, 2 Nov 94 09:55:23 CST

In the process of debugging my emulator, I've found two small errors in the
RX8/RX11 Floppy Disk System Maintenance Manual, EK-RX01-MM-002 (Dec 1976)

In section 4.4 (page 4-7) and 4.4.5 (page 4-9).

	The function code 100 is indeed used and it has a well defined
	function.  That function is a somewhat complex Noop; specifically,
	function 100 is very similar to function 101 (read status):
	RXES is moved to the interface register and the Done flag is
	set.  The difference is that RXES does more, checking to see
	if the selected drive is up to speed.

In section 5.2.5, figure 5-14 (flowchart on foldout page 5-26).

	The label CLRID [NOOP] should be inserted to the right of beside
	the RDSTAT label.  This label is branched to when the poorly
	documented function 100 is decoded.  The arrow from CLRID should
	go almost 3/4 of the way down the side of the figure and join
	the flow of RDSTAT right after the call to the CHKRDY subroutine.

I found this because the disk driver for the RX01 that is pulled in by
the bootstrap uses function 100 on the RX01.  I had to read the microcode
for the RX01 controller in order to figure out what was supposed to happen.

				Doug Jones
				[email-masked]